import { v4 as uuidv4 } from 'uuid'

/**
 * 通过 sceneId 生成缓存的 key
 * 由于 prompt 是通过请求拉取的，
 * 将请求的结果缓存起来，减少请求次数
 */
export const genPromptCacheKey = (scenseId = 'allprompt') => {
  return `senceId-to-prompt-${scenseId}`
}

export const generateUUID = () => uuidv4()
