import Vue from 'vue'

// 这样全量引入 800 多 Kb
// import { Notification } from 'element-ui'
// import 'element-ui/lib/theme-chalk/index.css';

// 按文件引入各个组件 更小

import Notification from 'element-ui/lib/notification.js'
import 'element-ui/lib/theme-chalk/base.css'
import 'element-ui/lib/theme-chalk/notification.css'

import Tooltip from 'element-ui/lib/tooltip.js'
import 'element-ui/lib/theme-chalk/tooltip.css'

// scroll-bar 样式
import 'element-ui/lib/theme-chalk/scrollbar.css'

import Button from 'element-ui/lib/button'
import 'element-ui/lib/theme-chalk/button.css'

import Popover from 'element-ui/lib/popover'
// import 'element-ui/lib/theme-chalk/popper.css'
import 'element-ui/lib/theme-chalk/popover.css'

import Dialog from 'element-ui/lib/dialog'
import 'element-ui/lib/theme-chalk/dialog.css'

import Loading from 'element-ui/lib/loading'
import 'element-ui/lib/theme-chalk/loading.css'

import DropDown from 'element-ui/lib/dropdown'
import 'element-ui/lib/theme-chalk/dropdown.css'

import DropDownMenu from 'element-ui/lib/dropdown-menu'
import 'element-ui/lib/theme-chalk/dropdown-menu.css'

import DropDownItem from 'element-ui/lib/dropdown-item'
import 'element-ui/lib/theme-chalk/dropdown-item.css'

import Message from 'element-ui/lib/message'
import 'element-ui/lib/theme-chalk/message.css'

import Link from 'element-ui/lib/link'
import 'element-ui/lib/theme-chalk/link.css'

import Tabs from 'element-ui/lib/tabs'
import 'element-ui/lib/theme-chalk/tabs.css'

import TabPane from 'element-ui/lib/tab-pane'
import 'element-ui/lib/theme-chalk/tab-pane.css'

const ElComponents = [
  Tooltip,
  Button,
  Popover,
  Dialog,
  DropDown,
  DropDownMenu,
  DropDownItem,
  Link,
  Tabs,
  TabPane
]

ElComponents.forEach(Com=>{
  Vue.component(Com.name, Com)
})

Loading.install(Vue)

Vue.prototype.$message = Message;
Vue.prototype.$notify = Notification;

export { Notification }