import LazyLoading from './lazyLoading.vue'
import LazyError from './lazyError.vue'

const defaultLazyOption={
  loading:LazyLoading,
  error:LazyError,
  delay:200,
  timeout:100000
}
export default (options)=>()=>{
  return {
    ...defaultLazyOption,
    ...options,
  }
}