export const CHAT_MESSAGE_STATUS = {
  loading: 'loading',
  init: 'init',
  stream: 'stream',
  finished: 'finished',
  failed: 'failed',
  stoped: 'stoped'
}

export const CHAT_MESSAGE_TYPE = {
  text: 'text',
  img: 'img'
}

export const CHAT_TOOL_TYPE = {
  like: 'like',
  unlike: 'unlike',
  copy: 'copy',
  del: 'del'
}

export const USER_EVALUATION_TOOLS = [
  {
    title: '赞',
    type: CHAT_TOOL_TYPE.like,
    icon: 'like',
    activeIcon: 'like-fill',
    isActive: msg => msg.opLiked === '赞',
    tooltip: '很赞哦',
    activeTooltip: '取消'
  },
  {
    title: '踩',
    type: CHAT_TOOL_TYPE.unlike,
    icon: 'unlike',
    activeIcon: 'unlike-fill',
    isActive: msg => msg.opLiked === '踩',
    tooltip: '不好啊',
    activeTooltip: '取消'
  }
]

export const CHAT_TOOLS = [
  // ...USER_EVALUATION_TOOLS,
  {
    title: '复制',
    type: CHAT_TOOL_TYPE.copy,
    icon: 'copy',
    activeIcon: 'copy',
    tooltip: '复制',
    activeTooltip: '复制'
  }
  // {
  //   title: '删除',
  //   type: CHAT_TOOL_TYPE.del,
  //   icon: 'delete'
  //   activeIcon: 'delete'
  // }
]

export const UNLILE_REASONS = [
  {
    text: '还不够好',
    id: 1
  },
  {
    text: '与问题无关',
    id: 2
  }, {
    text: '内容不准确',
    id: 3
  },
  {
    text: '有不实信息',
    id: 4
  },
  {
    text: '侵犯他人权益',
    id: 5
  }
]

export const CHAT_SOURCE_TYPE = {
  'aigc': 'aigc',
  'knowledge': 'knowledge'
}
